Bug 698638 - Broken dependency on deprecated hal
Summary: Broken dependency on deprecated hal
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-21 13:01 UTC by Nicola Soranzo
Modified: 2015-03-03 22:59 UTC (History)
3 users (show)

Fixed In Version: gnome-vfs2-2.24.4-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-26 08:16:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicola Soranzo 2011-04-21 13:01:07 UTC
Description of problem:
Since HAL has been deprecated for 3 years, Fedora is removing it from the distribution:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package is already deprecated and blocked from composes for rawhide.

Therefore, there are some broken dependencies for your package now:

gnome-vfs2-2.24.4-5.fc15.i686 requires libhal.so.1
gnome-vfs2-2.24.4-5.fc15.i686 requires libhal-storage.so.1

If these dependencies cannot be removed, this package should probably be deprecated as well:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Version-Release number of selected component (if applicable):
gnome-vfs2-2.24.4-5.fc15

Comment 1 Tomáš Bžatek 2011-04-21 13:44:59 UTC
(In reply to comment #0)
> The hal package is already deprecated and blocked from composes for rawhide.
Nice!

> If these dependencies cannot be removed, this package should probably be
> deprecated as well

I'll check, there are some applications that are fully dependent on gnome-vfs2. Killing it won't be easy for F16.

Comment 2 Nicola Soranzo 2011-04-21 14:05:57 UTC
(In reply to comment #1)
> > If these dependencies cannot be removed, this package should probably be
> > deprecated as well
> 
> I'll check, there are some applications that are fully dependent on gnome-vfs2.
> Killing it won't be easy for F16.

Yes, I know, there are >100 packages requiring gnome-vfs2!
Anyway, the goal of Matthias Clasen is to get rid of gnome-vfs2, at least from the Desktop spin:

http://lists.fedoraproject.org/pipermail/devel/2011-March/149572.html

Comment 3 Nicola Soranzo 2011-04-22 10:06:38 UTC
I'm adding Nils Philippsen in CC to this bug, it looks like he is working on this:

http://pkgs.fedoraproject.org/gitweb/?p=gnome-vfs2.git;a=commitdiff;h=e60ff519b11c3d557cd85110acaf84411de54661

BTW, I'm not sure this part of his commit is correct:

+# don't use HAL from F-16 on
+%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
+%bcond_with hal
+%else
+%bcond_without hal
+%endif

Should "%bcond_with hal" and "%bcond_without hal" be inverted?

Comment 4 Tomáš Bžatek 2011-04-22 15:20:06 UTC
(In reply to comment #3)
> Should "%bcond_with hal" and "%bcond_without hal" be inverted?

Seems to do the job, gnome-vfs2-2.24.4-6.fc16 has been built properly without hal.


(In reply to comment #2)
> Yes, I know, there are >100 packages requiring gnome-vfs2!
Yeah, repoquery yells an insane amount of packages.

Comment 5 Nicola Soranzo 2011-04-22 15:30:53 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Should "%bcond_with hal" and "%bcond_without hal" be inverted?
> 
> Seems to do the job, gnome-vfs2-2.24.4-6.fc16 has been built properly without
> hal.

Yes, I noticed, but I suppose that this is happening because it has been rebuilt after hal was removed from rawhide.
I fear that when/if gnome-vfs2 will be rebuilt for Fedora < 16, hal support will be removed also there.

Comment 6 Nils Philippsen 2011-04-26 08:14:44 UTC
The logic of the %bcond_with/_without macros is peculiar, probably 100% against what you would expect. This is what /usr/lib/rpm/macros has to say about it:

...
# Handle conditional builds. %bcond_with is for case when feature is
# default off and needs to be activated with --with ... command line
# switch. %bcond_without is for the dual case.
...

In this case it means that somebody would need to specify "--with hal" to build the package with HAL support from F-16 on, the default is without.


Note You need to log in before you can comment on or make changes to this bug.